OpenWrt 21.02.5 fifth service release

Hi,

The OpenWrt community is proud to announce the newest stable release of the OpenWrt 21.02 stable version series. It fixes security issues.

Download firmware images using the OpenWrt Firmware Selector:
https://firmware-selector.openwrt.org/?version=21.02.5
Download firmware images directly from our download servers:
https://downloads.openwrt.org/releases/21.02.5/targets/

The OpenWrt 21.02 stable series is in security maintenance only mode. It is projected to go end of life on 6. April 2023 following the OpenWrt Security support guidelines. We encourage all users of the OpenWrt 21.02 stable series to upgrade to OpenWrt 22.03.
https://openwrt.org/docs/guide-developer/security#support_status

Main changes between OpenWrt 21.02.4 and OpenWrt 21.02.5:

Security fixes

  • mac80211/cfg80211: Security fixes for BSSID parsing (CVE-2022-41674, CVE-2022-42719, CVE-2022-42720, CVE-2022-42721 and CVE-2022-42722)

Device support

  • None

Various fixes and improvements

  • None

Core components

  • None

Full release notes and upgrade instructions are available at
https://openwrt.org/releases/21.02/notes-21.02.5

In particular, make sure to read the regressions and known issues before upgrading:
https://openwrt.org/releases/21.02/notes-21.02.5#known_issues

For a detailed list of all changes since 21.02.4, refer to
https://openwrt.org/releases/21.02/changelog-21.02.5

To download the 21.02.5 images, navigate to:
https://downloads.openwrt.org/releases/21.02.5/targets/
Use OpenWrt Firmware Selector to download:
https://firmware-selector.openwrt.org/?version=21.02.5

As always, a big thank you goes to all our active package maintainers, testers, documenters and supporters.

Have fun!

The OpenWrt Community


To stay informed of new OpenWrt releases and security advisories, there are new channels available:

8 Likes

this topic should be pinned

Thanks to all the OpenWrt developers.

Six hours up
and
All appears to be fine on a Archer C2600 v1.1 with BanIP, Adblock and irqbalance.

There's a regression on TP-Link TL-WDR4900 v1 (mpc85xx/p1010). Wifi is down after upgrade. It looks like from the 21.02.3 -> 21.02.4 upgrade, but still in 21.02.5 - see https://github.com/openwrt/openwrt/issues/11002 for details. Workaround is to manually fixup /etc/config/wireless and then remove or edit /etc/hotplug.d/ieee80211/05-wifi-migrate

I keep getting this alot after switching to 21.02.5.

image

when installing packages.

pkg_hash_check_unresolved: cannot find dependency kernel (= 5.4.215-1-eef61aad9d9205d0f312846abba7ba7f)

Running fine and stable for 2 days on WT1900ACSv2

Modem-manager is not working well on 21.02, I backported a series of fixes: https://github.com/openwrt/packages/pull/19648 for it which I hope will be included in the next service release.

thank you for the development!

I had to reinstall relayd, other than that running good.